C# Class CascadeSharp.TKGeomBase.GC.GC_MakeCylindricalSurface

Inheritance: CascadeSharp.TKGeomBase.GC.GC_Root
Afficher le fichier Open project: Oblikovati/CascadeSharp Class Usage Examples

Méthodes publiques

Méthode Description
GC_MakeCylindricalSurface ( ) : System
GC_MakeCylindricalSurface ( GC_MakeCylindricalSurface parameter1 ) : System
GC_MakeCylindricalSurface ( gp_Ax1 Ax_is, double Radius ) : System
GC_MakeCylindricalSurface ( gp_Ax2 A2, double Radius ) : System
GC_MakeCylindricalSurface ( gp_Circ Circ ) : System
GC_MakeCylindricalSurface ( gp_Cylinder C ) : System
GC_MakeCylindricalSurface ( gp_Cylinder Cyl, double D_ist ) : System
GC_MakeCylindricalSurface ( gp_Cylinder Cyl, gp_Pnt Point ) : System
GC_MakeCylindricalSurface ( gp_Pnt P1, gp_Pnt P2, gp_Pnt P3 ) : System
Value ( ) : Geom_CylindricalSurface

Method Details

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( ) : System
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( GC_MakeCylindricalSurface parameter1 ) : System
parameter1 GC_MakeCylindricalSurface
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( gp_Ax1 Ax_is, double Radius ) : System
Ax_is gp_Ax1
Radius double
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( gp_Ax2 A2, double Radius ) : System
A2 gp_Ax2
Radius double
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( gp_Circ Circ ) : System
Circ gp_Circ
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( gp_Cylinder C ) : System
C gp_Cylinder
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( gp_Cylinder Cyl, double D_ist ) : System
Cyl gp_Cylinder
D_ist double
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( gp_Cylinder Cyl, gp_Pnt Point ) : System
Cyl gp_Cylinder
Point gp_Pnt
Résultat System

GC_MakeCylindricalSurface() public méthode

public GC_MakeCylindricalSurface ( gp_Pnt P1, gp_Pnt P2, gp_Pnt P3 ) : System
P1 gp_Pnt
P2 gp_Pnt
P3 gp_Pnt
Résultat System

Value() public méthode

public Value ( ) : Geom_CylindricalSurface
Résultat Geom_CylindricalSurface